Re: Things that i don't understand about cluster suite

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 





Greg Forte wrote:
Lon, I use original's postfix script and returns this if postfix is up: "master (pid 957) is running..." when postfix isn't up, script returns: "master is stopped". Do I need to change this message to "0" for status check works ok??

That's just a message that's printed. return status is the value given in a statement of the form 'return X', or 0 if no such statement is explicitly reached. All executables return a status value to the shell, where 0 is taken to mean "OK", and non-zero means "something bad happened".

The postfix script appears to return the correct values in each case.
My guess would be that it's cluster configuration problem, but I didn't see anything about postfix in the conf that you pasted ...

Lon, I have attached postfix script

Then, I can't startup only one node, when both are stopped, right??

No, you definitely can do this, if the cluster is configured correctly. The problem may be in your fencing method - the first thing the booted node will do when cman starts is to try to contact the other node. When it times out, it'll try to fence the other node and won't continue until it does. If the fence process fails, it'll hang there, which I'm guessing is what you're seeing. So the problem is most likely that fencing is failing, either due to misconfiguration or because the other node is powered off and so its iLo agent isn't responding. Since iLo is supposed to be able to power-up a switched-off server, my guess is there's a problem with your fencing configuration - did you fix it so that you have a separate fencedevice entry for each node?

I have changed iLO fence for gnbd fence. But can not boot only one node.

-g

--
Linux-cluster mailing list
Linux-cluster@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/linux-cluster


--
CL Martinez
carlopmart {at} gmail {d0t} com
#!/bin/bash
#
# postfix      Postfix Mail Transfer Agent
#
# chkconfig: 2345 80 30
# description: Postfix is a Mail Transport Agent, which is the program \
#              that moves mail from one machine to another.
# processname: master
# pidfile: /var/spool/postfix/pid/master.pid
# config: /etc/postfix/main.cf
# config: /etc/postfix/master.cf
#
# Based on startup script from Simon J Mudd <sjmudd@xxxxxxxxx>
# 25/02/99: Mostly s/sendmail/postfix/g by John A. Martin <jam@xxxxxxxxx>
# 23/11/00: Changes & suggestions by Ajay Ramaswamy <ajayr@xxxxxxxxxxx>
# 20/01/01: Changes to fall in line with RedHat 7.0 style
# 23/02/01: Fix a few untidy problems with help from Daniel Roesen.

# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 0

[ -x /usr/sbin/postfix ] || exit 0
[ -d /opt/cluservices/postfix-imss ] || exit 0
[ -d /opt/cluservices/spool/postfix-imss ] || exit 0

RETVAL=0

start() {
	# Start daemons.
	echo -n "Starting postfix: "
	/usr/sbin/postfix -c /opt/cluservices/postfix-imss start 2>/dev/null 1>&2 && success || failure
	RETVAL=$?
	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/postfix-imss
        echo
	return $RETVAL
}

stop() {
        # Stop daemons.
	echo -n "Shutting down postfix: "
	/usr/sbin/postfix -c /opt/cluservices/postfix-imss stop 2>/dev/null 1>&2 && success || failure
	RETVAL=$?
	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/postfix-imss
	echo
	return $RETVAL
}


# See how we were called.
case "$1" in
  start)
	start
	;;
  stop)
	stop
	;;
  status)
	exit 0 
	;;
  *)
	echo "Usage: $0 {start|stop|status}"
	exit 1
esac

exit $?
--
Linux-cluster mailing list
Linux-cluster@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/linux-cluster

[Index of Archives]     [Corosync Cluster Engine]     [GFS]     [Linux Virtualization]     [Centos Virtualization]     [Centos]     [Linux RAID]     [Fedora Users]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite Camping]

  Powered by Linux